summaryrefslogtreecommitdiffstats
path: root/debian/_buildscripts/local/update_repositories.sh
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2020-09-04 16:08:28 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2020-09-04 16:08:28 +0900
commitdecf98691c9ea9b2e5f7f598af4cf05e12fffb3d (patch)
tree42fa529dbf2810d33a904e0a64c74e88c80a33bc /debian/_buildscripts/local/update_repositories.sh
parent79c60593ee56790109a87a83328da05f7d217717 (diff)
downloadtde-packaging-decf98691c9ea9b2e5f7f598af4cf05e12fffb3d.tar.gz
tde-packaging-decf98691c9ea9b2e5f7f598af4cf05e12fffb3d.zip
DEB build scripts: added support for ctags.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'debian/_buildscripts/local/update_repositories.sh')
-rwxr-xr-xdebian/_buildscripts/local/update_repositories.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/debian/_buildscripts/local/update_repositories.sh b/debian/_buildscripts/local/update_repositories.sh
index 91425f8a7..66bf7bc6b 100755
--- a/debian/_buildscripts/local/update_repositories.sh
+++ b/debian/_buildscripts/local/update_repositories.sh
@@ -5,6 +5,7 @@
flag_INCREMENTAL="n"
flag_VERBOSE_LOG="n"
flag_SWITCH_ONLY="n"
+flag_SKIP_TAGS="n"
OVERRIDE_DEFAULT_REPO_BRANCH=""
for ((idx=1; idx<=$#; idx++)); do
arg="${!idx}"
@@ -25,7 +26,13 @@ for ((idx=1; idx<=$#; idx++)); do
fi
elif [ "$arg" = "-so" ]; then # switch branch only (Switch Only)
flag_SWITCH_ONLY="y" && ((idx++))
- OVERRIDE_DEFAULT_REPO_BRANCH="${!idx}"
+ if ! [[ "${!idx}" =~ ^- ]]; then
+ OVERRIDE_DEFAULT_REPO_BRANCH="${!idx}"
+ else
+ ((idx--))
+ fi
+ elif [ "$arg" = "-st" ]; then # skip ctags generation (Skip Tags)
+ flag_SKIP_TAGS="y"
fi
done
@@ -245,3 +252,9 @@ fi
# Update completed
[ -f "$UPDATE_LOCK_FILENAME" ] && rm "$UPDATE_LOCK_FILENAME"
cd $SCRIPT_DIR
+
+# Generate ctags
+if [ "$flag_SKIP_TAGS" != "y" ]; then
+ $SCRIPT_DIR/generate_tags.sh
+fi
+